[Stable Update] 2017-06-22 - Calamares, Thus, Cinnamon, Gstreamer, Mesa

Hi community,

all users, who used Thus or Calamares to install Manjaro, should read the MSAs to secure their systems. New users are save by installing Manjaro v17.0.2-rc3. This update also fixes [ASA-201706-23] glibc: privilege escalation and [ASA-201706-22] lib32-glibc: privilege escalation.

For regular updates we have the latest Mesa v17.1.3, Gstreamer v1.12.1, latest Cinnamon and Python updates.

Please give us feedback and report any issues you may see with this update.


Current supported Kernels

  • linux310 3.10.106
  • linux312 3.12.74 [EOL]
  • linux316 3.16.44
  • linux318 3.18.57 [EOL]
  • linux41 4.1.41
  • linux44 4.4.73
  • linux48 4.8.17 [EOL]
  • linux49 4.9.33
  • linux410 4.10.17 [EOL]
  • linux411 4.11.6
  • linux-RT-LTS 4.4.70_rt83 (x86_64)
  • linux-RT 4.9.30_rt21 (x86_64)

Package Updates (Thu Jun 22 06:04:03 CEST 2017)

  • stable community i686: 137 new and 134 removed package(s)
  • stable community x86_64: 140 new and 137 removed package(s)
  • stable core i686: 4 new and 3 removed package(s)
  • stable core x86_64: 4 new and 3 removed package(s)
  • stable extra i686: 75 new and 74 removed package(s)
  • stable extra x86_64: 75 new and 74 removed package(s)
  • stable multilib x86_64: 10 new and 9 removed package(s)
:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
            artwork-cinnamon-minimal           20170428-1           20170621-2
                          artwork-i3           20170608-1           20170621-1
                            cinnamon            3.4.1-1.1            3.4.2-1.1
                    cinnamon-desktop            3.4.1-0.1            3.4.2-0.1
                cinnamon-screensaver            3.4.0-0.1            3.4.1-0.2
                    cinnamon-session            3.4.0-0.1            3.4.1-0.1
            cinnamon-settings-daemon            3.4.1-0.1            3.4.2-0.1
                 cinnamon-wallpapers           20170307-1           20170621-1
                     disable-tracker                0.1-1                0.1-2
                       ff-theme-util                1.3-1                1.3-2
                          guayadeque              0.4.5-1            0.4.5-2.1
                              i3lock              2.9-1.1                    -
               lightdm-slick-greeter              1.0.7-1              1.0.8-2
                   manjaro-architect             0.8.12-1             0.8.12-4
          manjaro-architect-launcher             0.8.12-1             0.8.12-4
            manjaro-awesome-settings           20170603-1           20170620-1
              manjaro-bspwm-settings           20170614-1           20170620-1
                  manjaro-zsh-config                0.5-1                0.6-1
                                nemo            3.4.2-0.1            3.4.3-0.1
                                 pix              1.4.3-1              1.4.4-1
                    vertex-maia-gtk3           20170521-1           20170621-1
                  vertex-maia-themes           20170522-1           20170621-1
                       vertex-themes           20170522-2           20170621-1
                                 xed              1.4.2-2              1.4.3-1
                             xreader              1.4.1-1              1.4.3-1
                       lighter-gnome                    -                0.1-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                              arpack              3.4.0-2              3.5.0-1
                             aws-cli           1.11.104-1           1.11.109-1
                              bandit              1.4.0-1              1.4.0-3
                               bazel              0.5.1-1              0.5.1-2
                         bitcoin-cli             0.14.1-4             0.14.2-1
                      bitcoin-daemon             0.14.1-4             0.14.2-1
                          bitcoin-qt             0.14.1-4             0.14.2-1
                          bitcoin-tx             0.14.1-4             0.14.2-1
                               boinc             7.6.33-3             7.6.33-4
                           boinc-nox             7.6.33-3             7.6.33-4
                             calibre              3.0.0-1              3.0.0-2
                         deepin-menu              3.1.3-1              3.1.4-1
                                 dex                0.7-1              0.8.0-1
                         dns-lexicon              2.1.7-1              2.1.8-1
                      docker-compose             1.13.0-1             1.14.0-1
                       elasticsearch              5.4.1-1              5.4.2-1
                          emscripten            1.37.12-1            1.37.14-1
                              erlang             20.0rc-1               20.0-1
                          erlang-nox             20.0rc-1               20.0-1
                     erlang-unixodbc             20.0rc-1               20.0-1
                             esptool                1.3-1                2.0-1
                            filebeat              5.4.1-2              5.4.2-1
                          fingerterm              1.3.5-1              1.3.6-1
                           fox-devel             1.7.59-1             1.7.60-1
                      frei0r-plugins              1.6.1-2              1.6.1-3
                               fwupd              0.9.3-3              0.9.4-1
                                 gap              4.8.7-1              4.8.7-2
                            gap-data              4.8.7-1              4.8.7-2
                             gap-doc              4.8.7-1              4.8.7-2
                        gap-packages              4.8.7-1              4.8.7-2
                                gfan                0.5-2                0.6-3
                            gir-to-d             0.10.0-1             0.11.0-1
                              gitlab              9.2.5-1              9.2.7-1
                             glabels              3.4.0-5              3.4.0-6
                             glslang   3.0.git3.2c6f48b-1   3.0.git4.e2ff404-1
                            gnome-do             0.95.3-4             0.95.3-5
                        gnustep-back             0.25.1-1             0.25.1-2
                        gnustep-base             1.25.0-2             1.25.0-3
                         gnustep-gui             0.25.1-2             0.25.1-3
                        gnustep-make              2.7.0-1              2.7.0-2
                        hdf5-openmpi      1.10.0_patch1-1      1.10.0_patch1-3
                           heartbeat              5.4.1-2              5.4.2-1
                               hugin           2016.2.0-6           2016.2.0-7
                              i3lock                2.9-1              2.9.1-1
     intellij-idea-community-edition         2:2017.1.3-1         2:2017.1.4-1
                             jenkins               2.65-1               2.66-1
                                john       1.8.0.jumbo1-7       1.8.0.jumbo1-8
                              kotlin              1.1.2-3            1.1.2.5-1
                             kpmcore              3.1.0-1              3.1.1-1
                             libsass              3.4.3-1              3.4.5-1
                            logwatch              7.4.3-2              7.4.3-3
                 mate-control-center             1.18.1-1             1.18.2-1
                          mate-media             1.18.0-1             1.18.1-1
                           mate-menu            17.04.3-1            17.10.5-2
                              mayavi              4.5.0-4              4.5.0-5
                          metricbeat              5.4.1-2              5.4.2-1
                      moneymanagerex              1.3.3-1              1.3.3-2
                               mygui             3.2.2-12             3.2.2-13
                          mygui-docs             3.2.2-12             3.2.2-13
                 nginx-mod-passenger              5.1.4-1              5.1.5-1
                   npm-check-updates             2.11.3-1             2.12.0-1
                              oolite               1.84-3               1.84-4
                          packetbeat              5.4.1-2              5.4.2-1
                    partitionmanager              3.0.1-3              3.1.0-1
                 perl-test-leaktrace               0.15-4               0.16-1
                    perl-test-simple           1.302085-2           1.302086-1
                    perl-test2-suite           0.000070-2           0.000072-1
                              poedit            1:2.0.1-3            1:2.0.2-1
                     python-botocore             1.5.67-1             1.5.72-1
                 python-h5py-openmpi              2.7.0-1              2.7.0-2
                     python-humanize              0.5.1-4              0.5.1-5
                   python-hypothesis             3.11.4-1             3.11.6-1
                    python-jsonpatch               1.15-1               1.16-1
                      python-libnacl              1.5.0-2              1.5.1-1
                       python-mpi4py              2.0.0-2              2.0.0-3
                  python-oslo-config              4.5.0-1              4.6.0-1
                   python-oslosphinx             4.14.0-1             4.15.0-1
                          python-pbr              3.0.1-1              3.1.1-1
                   python-simplejson             3.10.0-2             3.11.1-1
                   python-sqlalchemy             1.1.10-1             1.1.11-1
             python-websocket-client             0.40.0-2             0.43.0-1
                python2-h5py-openmpi              2.7.0-1              2.7.0-2
                  python2-hypothesis             3.11.4-1             3.11.6-1
                   python2-jsonpatch               1.15-1               1.16-1
                     python2-libnacl              1.5.0-2              1.5.1-1
                      python2-mpi4py              2.0.0-2              2.0.0-3
                 python2-oslo-config              4.5.0-1              4.6.0-1
                  python2-oslosphinx             4.14.0-1             4.15.0-1
                         python2-pbr              3.0.1-1              3.1.1-1
                  python2-simplejson             3.10.0-2             3.11.1-1
                  python2-sqlalchemy             1.1.10-1             1.1.11-1
            python2-websocket-client             0.40.0-2             0.43.0-1
                              rmlint              2.6.0-1              2.6.1-1
                     rmlint-shredder              2.6.0-1              2.6.1-1
                     ruby2.3-bundler             1.14.6-1             1.15.1-1
                           shorewall            5.1.4.2-1            5.1.4.3-1
                      shorewall-core            5.1.4.2-1            5.1.4.3-1
                          shorewall6            5.1.4.2-1            5.1.4.3-1
                            shotwell           1:0.26.2-1           2:0.26.2-1
                      soundconverter        2.9.0_beta2-1         3.0.0beta1-1
                          supervisor              3.3.1-1              3.3.2-1
                            three.js                r85-1                r86-1
                                trac              1.2.1-1              1.2.2-1
                           uglify-js             3.0.17-1             3.0.18-1
                       unicode-emoji                4.0-1                5.0-1
                                 vtk              7.1.1-1              7.1.1-3
                                vtk6              6.3.0-5              6.3.0-7
                                xchm               1.23-6               1.23-7
                     yubikey-manager              0.3.3-1              0.4.0-1
                              kupfer                    -                319-2
                     python-unrardll                    -              0.1.3-2
                    python2-unrardll                    -              0.1.3-2


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
            artwork-cinnamon-minimal           20170428-1           20170621-2
                          artwork-i3           20170608-1           20170621-1
                            cinnamon            3.4.1-1.1            3.4.2-1.1
                    cinnamon-desktop            3.4.1-0.1            3.4.2-0.1
                cinnamon-screensaver            3.4.0-0.1            3.4.1-0.2
                    cinnamon-session            3.4.0-0.1            3.4.1-0.1
            cinnamon-settings-daemon            3.4.1-0.1            3.4.2-0.1
                 cinnamon-wallpapers           20170307-1           20170621-1
                     disable-tracker                0.1-1                0.1-2
                       ff-theme-util                1.3-1                1.3-2
                          guayadeque              0.4.5-1            0.4.5-2.1
                              i3lock              2.9-1.1                    -
               lightdm-slick-greeter              1.0.7-1              1.0.8-2
                   manjaro-architect             0.8.12-1             0.8.12-4
          manjaro-architect-launcher             0.8.12-1             0.8.12-4
            manjaro-awesome-settings           20170603-1           20170620-1
              manjaro-bspwm-settings           20170614-1           20170620-1
                  manjaro-zsh-config                0.5-1                0.6-1
                                nemo            3.4.2-0.1            3.4.3-0.1
                                 pix              1.4.3-1              1.4.4-1
                    vertex-maia-gtk3           20170521-1           20170621-1
                  vertex-maia-themes           20170522-1           20170621-1
                       vertex-themes           20170522-2           20170621-1
                                 xed              1.4.2-2              1.4.3-1
                             xreader              1.4.1-1              1.4.3-1
                       lighter-gnome                    -                0.1-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                              arpack              3.4.0-2              3.5.0-1
                             aws-cli           1.11.104-1           1.11.109-1
                              bandit              1.4.0-1              1.4.0-3
                               bazel              0.5.1-1              0.5.1-2
                         bitcoin-cli             0.14.1-4             0.14.2-1
                      bitcoin-daemon             0.14.1-4             0.14.2-1
                          bitcoin-qt             0.14.1-4             0.14.2-1
                          bitcoin-tx             0.14.1-4             0.14.2-1
                               boinc             7.6.33-3             7.6.33-4
                           boinc-nox             7.6.33-3             7.6.33-4
                             calibre              3.0.0-1              3.0.0-2
                               cudnn             6.0.21-1             6.0.21-2
                         deepin-menu              3.1.3-1              3.1.4-1
                                 dex                0.7-1              0.8.0-1
                         dns-lexicon              2.1.7-1              2.1.8-1
                      docker-compose             1.13.0-1             1.14.0-1
                       elasticsearch              5.4.1-1              5.4.2-1
                          emscripten            1.37.12-1            1.37.14-1
                              erlang             20.0rc-1               20.0-1
                          erlang-nox             20.0rc-1               20.0-1
                     erlang-unixodbc             20.0rc-1               20.0-1
                             esptool                1.3-1                2.0-1
                            filebeat              5.4.1-2              5.4.2-1
                          fingerterm              1.3.5-1              1.3.6-1
                           fox-devel             1.7.59-1             1.7.60-1
                      frei0r-plugins              1.6.1-2              1.6.1-3
                               fwupd              0.9.3-3              0.9.4-1
                                 gap              4.8.7-1              4.8.7-2
                            gap-data              4.8.7-1              4.8.7-2
                             gap-doc              4.8.7-1              4.8.7-2
                        gap-packages              4.8.7-1              4.8.7-2
                                gfan                0.5-2                0.6-3
                            gir-to-d             0.10.0-1             0.11.0-1
                              gitlab              9.2.5-1              9.2.7-1
                             glabels              3.4.0-5              3.4.0-6
                             glslang   3.0.git3.2c6f48b-1   3.0.git4.e2ff404-1
                            gnome-do             0.95.3-4             0.95.3-5
                        gnustep-back             0.25.1-1             0.25.1-2
                        gnustep-base             1.25.0-2             1.25.0-3
                         gnustep-gui             0.25.1-2             0.25.1-3
                        gnustep-make              2.7.0-1              2.7.0-2
                        hdf5-openmpi      1.10.0_patch1-1      1.10.0_patch1-3
                           heartbeat              5.4.1-2              5.4.2-1
                               hugin           2016.2.0-6           2016.2.0-7
                              i3lock                2.9-1              2.9.1-1
     intellij-idea-community-edition         2:2017.1.3-1         2:2017.1.4-1
                             jenkins               2.65-1               2.66-1
                                john       1.8.0.jumbo1-7       1.8.0.jumbo1-8
                              kotlin              1.1.2-3            1.1.2.5-1
                             kpmcore              3.1.0-1              3.1.1-1
                             libsass              3.4.3-1              3.4.5-1
                            logwatch              7.4.3-2              7.4.3-3
                 mate-control-center             1.18.1-1             1.18.2-1
                          mate-media             1.18.0-1             1.18.1-1
                           mate-menu            17.04.3-1            17.10.5-2
                              mayavi              4.5.0-4              4.5.0-5
                          metricbeat              5.4.1-2              5.4.2-1
                      moneymanagerex              1.3.3-1              1.3.3-2
                               mygui             3.2.2-12             3.2.2-13
                          mygui-docs             3.2.2-12             3.2.2-13
                 nginx-mod-passenger              5.1.4-1              5.1.5-1
                   npm-check-updates             2.11.3-1             2.12.0-1
                              oolite               1.84-3               1.84-4
                          packetbeat              5.4.1-2              5.4.2-1
             parallel-netcdf-openmpi              1.8.1-1              1.8.1-2
                    partitionmanager              3.0.1-3              3.1.0-1
                 perl-test-leaktrace               0.15-4               0.16-1
                    perl-test-simple           1.302085-2           1.302086-1
                    perl-test2-suite           0.000070-2           0.000072-1
                              poedit            1:2.0.1-3            1:2.0.2-1
                     python-botocore             1.5.67-1             1.5.72-1
                 python-h5py-openmpi              2.7.0-1              2.7.0-2
                     python-humanize              0.5.1-4              0.5.1-5
                   python-hypothesis             3.11.4-1             3.11.6-1
                    python-jsonpatch               1.15-1               1.16-1
                      python-libnacl              1.5.0-2              1.5.1-1
                       python-mpi4py              2.0.0-2              2.0.0-3
                  python-oslo-config              4.5.0-1              4.6.0-1
                   python-oslosphinx             4.14.0-1             4.15.0-1
                          python-pbr              3.0.1-1              3.1.1-1
                   python-simplejson             3.10.0-2             3.11.1-1
                   python-sqlalchemy             1.1.10-1             1.1.11-1
             python-websocket-client             0.40.0-2             0.43.0-1
                python2-h5py-openmpi              2.7.0-1              2.7.0-2
                  python2-hypothesis             3.11.4-1             3.11.6-1
                   python2-jsonpatch               1.15-1               1.16-1
                     python2-libnacl              1.5.0-2              1.5.1-1
                      python2-mpi4py              2.0.0-2              2.0.0-3
                 python2-oslo-config              4.5.0-1              4.6.0-1
                  python2-oslosphinx             4.14.0-1             4.15.0-1
                         python2-pbr              3.0.1-1              3.1.1-1
                  python2-simplejson             3.10.0-2             3.11.1-1
                  python2-sqlalchemy             1.1.10-1             1.1.11-1
            python2-websocket-client             0.40.0-2             0.43.0-1
                                 rkt             1.26.0-1             1.27.0-1
                              rmlint              2.6.0-1              2.6.1-1
                     rmlint-shredder              2.6.0-1              2.6.1-1
                     ruby2.3-bundler             1.14.6-1             1.15.1-1
                           shorewall            5.1.4.2-1            5.1.4.3-1
                      shorewall-core            5.1.4.2-1            5.1.4.3-1
                          shorewall6            5.1.4.2-1            5.1.4.3-1
                            shotwell           1:0.26.2-1           2:0.26.2-1
                      soundconverter        2.9.0_beta2-1         3.0.0beta1-1
                          supervisor              3.3.1-1              3.3.2-1
                            three.js                r85-1                r86-1
                                trac              1.2.1-1              1.2.2-1
                           uglify-js             3.0.17-1             3.0.18-1
                       unicode-emoji                4.0-1                5.0-1
                                 vtk              7.1.1-1              7.1.1-3
                                vtk6              6.3.0-5              6.3.0-7
                                xchm               1.23-6               1.23-7
                     yubikey-manager              0.3.3-1              0.4.0-1
                              kupfer                    -                319-2
                     python-unrardll                    -              0.1.3-2
                    python2-unrardll                    -              0.1.3-2


:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                          filesystem          2017.06-4.1          2017.06-4.3
                       sonar-release               17.0-1               17.0-2
                               glibc                    -               2.25-5


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                               glibc               2.25-3               2.25-4


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                          filesystem          2017.06-4.1          2017.06-4.3
                       sonar-release               17.0-1               17.0-2
                               glibc                    -               2.25-5


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                               glibc               2.25-3               2.25-4


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                    broadcom-wl-dkms       6.30.223.271-3       6.30.223.271-4
                           calamares            3.1.0.1-2            3.1.0.2-2
                   calamares-git3.1.0.r3459.9b9789d29-13.1.1.r3519.1a8af0e66-1
                            exo-gtk3             0.11.2-1             0.11.3-1
                         garcon-gtk3              0.6.0-1              0.6.1-1
                       manjaro-hello              0.5.1-1              0.5.2-1
           manjaro-iso-profiles-base             17.0.2-0           17.0.2-0.1
      manjaro-iso-profiles-community             17.0.2-0           17.0.2-0.1
       manjaro-iso-profiles-official             17.0.2-0           17.0.2-0.1
                   manjaro-live-base           20170606-1           20170621-1
                 manjaro-live-openrc           20170606-1           20170621-1
           manjaro-live-portable-efi           20170606-1           20170621-1
                   manjaro-live-skel           20170606-1           20170621-1
                manjaro-live-systemd           20170425-1           20170621-1
                                thus              0.9.5-1            0.9.5.2-1
                 xfce4-settings-gtk3           4.13.0-1.4             4.13.1-1
                         xfconf-gtk3           4.13.0-1.2             4.13.1-1
                      xfdesktop-gtk3           4.13.0-1.4             4.13.1-1
                                dkms                    -            2.4.0-1.1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                               boost             1.64.0-1             1.64.0-2
                          boost-libs             1.64.0-1             1.64.0-2
                              bullet               2.86-1               2.86-2
                         bullet-docs               2.86-1               2.86-2
                            chromium      59.0.3071.104-1      59.0.3071.109-1
                                  di               4.43-1               4.44-1
                             digikam              5.5.0-2              5.6.0-1
                           evolution             3.24.2-1             3.24.3-1
                evolution-bogofilter             3.24.2-1             3.24.3-1
               evolution-data-server             3.24.2-1             3.24.3-1
                       evolution-ews             3.24.2-1             3.24.3-1
              evolution-spamassassin             3.24.2-1             3.24.3-1
                             flatpak              0.9.5-1              0.9.6-1
                             freetds            1.00.40-1            1.00.44-1
                             gnucash             2.6.16-2             2.6.16-3
                           gst-libav             1.12.0-1             1.12.1-1
                     gst-plugins-bad             1.12.0-1             1.12.1-1
                    gst-plugins-base             1.12.0-1             1.12.1-1
               gst-plugins-base-libs             1.12.0-1             1.12.1-1
                    gst-plugins-good             1.12.0-1             1.12.1-1
                    gst-plugins-ugly             1.12.0-3             1.12.1-1
                          gst-python             1.12.0-1             1.12.1-1
                         gst-python2             1.12.0-1             1.12.1-1
                           gstreamer             1.12.0-1             1.12.1-1
                     gstreamer-vaapi             1.12.0-1             1.12.1-1
               gtk-update-icon-cache            3.22.15-1            3.22.16-1
                                gtk3            3.22.15-1            3.22.16-1
                 gtk3-print-backends            3.22.15-1            3.22.16-1
                      gtksourceview3             3.24.2-1             3.24.3-1
                           gucharmap              9.0.4-1             10.0.0-1
                            jemalloc              5.0.0-2            1:4.5.0-1
                        kipi-plugins              5.5.0-2              5.6.0-1
                          knetattach             5.10.2-1             5.10.2-2
                                kwin             5.10.2-1             5.10.2-2
                          libgphoto2             2.5.14-12.5.14+6+g695b55887-1
                            libproxy             0.4.15-2             0.4.15-3
                             libupnp             1.6.21-1             1.6.21-2
                   libva-mesa-driver             17.1.2-1             17.1.3-1
                                mesa             17.1.2-1             17.1.3-1
                          mesa-vdpau             17.1.2-1             17.1.3-1
                               meson             0.41.0-1             0.41.1-1
                              mtools             4.0.18-3             4.0.18-4
                         opencl-mesa             17.1.2-1             17.1.3-1
                             openmpi             1.10.6-2              2.1.1-1
                                opus              1.1.5-1                1.2-1
                              ostree             2017.6-1             2017.7-1
                   perl-http-message               6.11-3               6.13-1
                      plasma-desktop             5.10.2-1             5.10.2-2
                    python-hyperlink             17.2.0-1             17.2.1-1
                   python2-hyperlink             17.2.0-1             17.2.1-1
          unicode-character-database              9.0.0-1             10.0.0-2
                            valgrind             3.12.0-2             3.13.0-1
                        vulkan-intel             17.1.2-1             17.1.3-1
                       vulkan-radeon             17.1.2-1             17.1.3-1
                          webkit2gtk             2.16.3-1             2.16.4-1
                               whois             5.2.15-1             5.2.16-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                    broadcom-wl-dkms       6.30.223.271-3       6.30.223.271-4
                           calamares            3.1.0.1-2            3.1.0.2-2
                   calamares-git3.1.0.r3459.9b9789d29-13.1.1.r3519.1a8af0e66-1
                            exo-gtk3             0.11.2-1             0.11.3-1
                         garcon-gtk3              0.6.0-1              0.6.1-1
                       manjaro-hello              0.5.1-1              0.5.2-1
           manjaro-iso-profiles-base             17.0.2-0           17.0.2-0.1
      manjaro-iso-profiles-community             17.0.2-0           17.0.2-0.1
       manjaro-iso-profiles-official             17.0.2-0           17.0.2-0.1
                   manjaro-live-base           20170606-1           20170621-1
                 manjaro-live-openrc           20170606-1           20170621-1
           manjaro-live-portable-efi           20170606-1           20170621-1
                   manjaro-live-skel           20170606-1           20170621-1
                manjaro-live-systemd           20170425-1           20170621-1
                                thus              0.9.5-1            0.9.5.2-1
                 xfce4-settings-gtk3           4.13.0-1.4             4.13.1-1
                         xfconf-gtk3           4.13.0-1.2             4.13.1-1
                      xfdesktop-gtk3           4.13.0-1.4             4.13.1-1
                                dkms                    -            2.4.0-1.1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                               boost             1.64.0-1             1.64.0-2
                          boost-libs             1.64.0-1             1.64.0-2
                              bullet               2.86-1               2.86-2
                         bullet-docs               2.86-1               2.86-2
                            chromium      59.0.3071.104-1      59.0.3071.109-1
                                  di               4.43-1               4.44-1
                             digikam              5.5.0-2              5.6.0-1
                           evolution             3.24.2-1             3.24.3-1
                evolution-bogofilter             3.24.2-1             3.24.3-1
               evolution-data-server             3.24.2-1             3.24.3-1
                       evolution-ews             3.24.2-1             3.24.3-1
              evolution-spamassassin             3.24.2-1             3.24.3-1
                             flatpak              0.9.5-1              0.9.6-1
                             freetds            1.00.40-1            1.00.44-1
                             gnucash             2.6.16-2             2.6.16-3
                           gst-libav             1.12.0-1             1.12.1-1
                     gst-plugins-bad             1.12.0-1             1.12.1-1
                    gst-plugins-base             1.12.0-1             1.12.1-1
               gst-plugins-base-libs             1.12.0-1             1.12.1-1
                    gst-plugins-good             1.12.0-1             1.12.1-1
                    gst-plugins-ugly             1.12.0-3             1.12.1-1
                          gst-python             1.12.0-1             1.12.1-1
                         gst-python2             1.12.0-1             1.12.1-1
                           gstreamer             1.12.0-1             1.12.1-1
                     gstreamer-vaapi             1.12.0-1             1.12.1-1
               gtk-update-icon-cache            3.22.15-1            3.22.16-1
                                gtk3            3.22.15-1            3.22.16-1
                 gtk3-print-backends            3.22.15-1            3.22.16-1
                      gtksourceview3             3.24.2-1             3.24.3-1
                           gucharmap              9.0.4-1             10.0.0-1
                            jemalloc              5.0.0-2            1:4.5.0-1
                        kipi-plugins              5.5.0-2              5.6.0-1
                          knetattach             5.10.2-1             5.10.2-2
                                kwin             5.10.2-1             5.10.2-2
                          libgphoto2             2.5.14-12.5.14+6+g695b55887-1
                            libproxy             0.4.15-2             0.4.15-3
                             libupnp             1.6.21-1             1.6.21-2
                   libva-mesa-driver             17.1.2-1             17.1.3-1
                                mesa             17.1.2-1             17.1.3-1
                          mesa-vdpau             17.1.2-1             17.1.3-1
                               meson             0.41.0-1             0.41.1-1
                              mtools             4.0.18-3             4.0.18-4
                         opencl-mesa             17.1.2-1             17.1.3-1
                             openmpi             1.10.6-2              2.1.1-1
                                opus              1.1.5-1                1.2-1
                              ostree             2017.6-1             2017.7-1
                   perl-http-message               6.11-3               6.13-1
                      plasma-desktop             5.10.2-1             5.10.2-2
                    python-hyperlink             17.2.0-1             17.2.1-1
                   python2-hyperlink             17.2.0-1             17.2.1-1
          unicode-character-database              9.0.0-1             10.0.0-2
                            valgrind             3.12.0-2             3.13.0-1
                        vulkan-intel             17.1.2-1             17.1.3-1
                       vulkan-radeon             17.1.2-1             17.1.3-1
                          webkit2gtk             2.16.3-1             2.16.4-1
                               whois             5.2.15-1             5.2.16-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                         lib32-glibc                    -             2.25-5.1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-18           2017-06-22
-------------------------------------------------------------------------------
                         lib32-glibc               2.25-3               2.25-4
             lib32-libva-mesa-driver             17.1.2-1             17.1.3-1
                          lib32-mesa             17.1.2-1             17.1.3-1
                    lib32-mesa-vdpau             17.1.2-1             17.1.3-1
                        lib32-openal             1.18.0-1             1.18.0-2
                          lib32-opus              1.1.4-1                1.2-1
                  lib32-vulkan-intel             17.1.2-1             17.1.3-1
                 lib32-vulkan-radeon             17.1.2-1             17.1.3-1
                   valgrind-multilib             3.12.0-2             3.13.0-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:

13 Likes

No issues at all. Updade on 3 machines with terminal. KDE edition. Thanks.

1 Like

KDE Plasma… Smooth update… Thank you!

KDE, smooth update with some welcome Plasma fixes, thanks.

1 Like

no issues with xfce all went smoothly

Upgraded two KDE laptops and one LXQt netbook.
All smooth. Only warnings:

warning: /etc/passwd installed as /etc/passwd.pacnew
warning: /etc/gshadow installed as /etc/gshadow.pacnew
warning: /etc/shadow installed as /etc/shadow.pacnew
warning: /etc/group installed as /etc/group.pacnew

I guess that would be related to this:

No issue with Gnome, all it’s ok, thanks.

Need to fix the battery icon error.
Size is wrong.
I believe.

My question to the development team: Should we ignore these four warnings and delete the pacnew files in order to keep our systems clean? That was the instruction for the last stable update, that accepting these pacnew files would create issues for us.

I would like to add that I updated my user and root passwords per the instructions in the related post before I performed the 2017-06-22 stable update.

Thank you for all you do to provide Manjaro to all of us!

Manjaro gnome, kernel 4.11.6, no issues. Thank you guys!

These changes are because dbus user was missing in the files in the previous version. But that verion wasn’t around for a long time. https://github.com/manjaro/packages-core/tree/master/filesystem
@Koeshi, I was thinking that first, but that is unrelate to the password weakness. It just happened that philm noticed the missing dbus while investigating the password weakness.

2 Likes

A nice, approx. 123 Mb update, that went very smoothly.

@philm:
Oh my yes. I HAVE actually had days similar to the gif you posted above.
Thankfully, I no longer have them. As it was getting closer to me getting a weapon, and going “hunting”.
Customer service sucks, especially when dealing with blathering idiots.
So, as I told co-workers, my “hunting” would actually be considered a “public service” of sorts.:laughing::smiling_imp::sunglasses:

I fixed some stuff in VirtualBox for i686. Lets see if that works …

### BoxIt memo ###

User philip created a snapshot of branch 'testing' to 'stable'.

 - stable community i686:  4 new and 1 removed package(s)
 - stable community x86_64:  1 new and 1 removed package(s)
 - stable extra i686:  21 new and 21 removed package(s)
 - stable extra x86_64:  1 new and 1 removed package(s)

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-22           2017-06-23
-------------------------------------------------------------------------------
                       ff-theme-util                1.3-2                1.3-3
               virtualbox-guest-dkms                    -           5.1.22-2.1
              virtualbox-guest-utils                    -           5.1.22-2.1
                virtualbox-host-dkms                    -           5.1.22-2.1


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-22           2017-06-23
-------------------------------------------------------------------------------
                       ff-theme-util                1.3-2                1.3-3


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-22           2017-06-23
-------------------------------------------------------------------------------
   linux310-virtualbox-guest-modules             5.1.22-2           5.1.22-2.1
    linux310-virtualbox-host-modules             5.1.22-2           5.1.22-2.1
   linux312-virtualbox-guest-modules             5.1.22-2           5.1.22-2.1
    linux312-virtualbox-host-modules             5.1.22-2           5.1.22-2.1
   linux316-virtualbox-guest-modules             5.1.22-2           5.1.22-2.1
    linux316-virtualbox-host-modules             5.1.22-2           5.1.22-2.1
   linux318-virtualbox-guest-modules             5.1.22-3           5.1.22-3.1
    linux318-virtualbox-host-modules             5.1.22-3           5.1.22-3.1
    linux41-virtualbox-guest-modules             5.1.22-3           5.1.22-3.1
     linux41-virtualbox-host-modules             5.1.22-3           5.1.22-3.1
   linux410-virtualbox-guest-modules             5.1.22-4           5.1.22-4.1
    linux410-virtualbox-host-modules             5.1.22-4           5.1.22-4.1
   linux411-virtualbox-guest-modules             5.1.22-5           5.1.22-5.1
    linux411-virtualbox-host-modules             5.1.22-5           5.1.22-5.1
    linux44-virtualbox-guest-modules             5.1.22-6           5.1.22-6.1
     linux44-virtualbox-host-modules             5.1.22-6           5.1.22-6.1
    linux48-virtualbox-guest-modules             5.1.22-1           5.1.22-1.1
     linux48-virtualbox-host-modules             5.1.22-1           5.1.22-1.1
    linux49-virtualbox-guest-modules             5.1.22-8           5.1.22-8.1
     linux49-virtualbox-host-modules             5.1.22-8           5.1.22-8.1
                   manjaro-tools-iso             0.15.2-3             0.15.2-4


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-06-22           2017-06-23
-------------------------------------------------------------------------------
                   manjaro-tools-iso             0.15.2-3             0.15.2-4
2 Likes

I was able to upgrade before the official announcement - without a single hiccup - how cool is that?

2 Likes

I was able to update four machines with no issues

(I have only a few technical knowledge, I hope you will get it :-p )

I had an issue with this update, the graphical version of the Xfce session was broken. I was using the gtk3 packages of xfce4-session, panel, settings, xfdesktop, exo, garcon, whiskermenu-plugin, libxfce4ui, xfce-engine, xfconf for about three weeks. I already had an issue, every new X session reset the panel, I had to reconfigure the task bar every time I booted my computer. It was quick, did not bother me that much and I wanted to see when this issue would be solved.
But this update completely broke it, when I entered my password on lightDM (think it is called that way), the session immediately crashed and sent me back on lightDM. Fortunately I could still access it with Ctrl+Alt+F2, here I uninstalled the gtk3 versions of the Xfce packages and put back the former ones and it solved that issue.

Also, I have an issue since quite a long time, my manuals all disappeared. If I want to have a man page with a package, I have to reinstall the package (example, sudo pacman -S coreutils to get back all the main manuals).

Edit: I got these issue with my desktop, my laptop have ACPI problems with kernels > 4.8 but does not have any with the gtk3 packages and the missing manuals.

I have the same, but slightly different, issue that started with the previous two updates, and which have never before been a problem in 2 years of updates.

My setup is such:

  1. I do not have /opt, but rather a link to an opt directory on another partition. Recently, the update process became dissatisfied with this situation and would abort. To solve it, I would delete the link, create a temporary /opt, run the update again (success), delete the temporary /opt, and re-link to opt on the other partition again. This worked.
  2. I have some programs, that I maintain myself, living in /usr/local/…

This latest update today complained somewhat differently than before - now on first run:

error: failed to commit transaction (conflicting files) bullet: /opt exists in filesystem Errors occurred, no packages were upgraded.
So I did the same as before (1. above) but it did not solve the issue. Instead, on the second update, there is now a new error:

code upgrading filesystem [##################################################] 100%
warning: /etc/passwd installed as /etc/passwd.pacnew
warning: /etc/gshadow installed as /etc/gshadow.pacnew
warning: /etc/shadow installed as /etc/shadow.pacnew
warning: /etc/group installed as /etc/group.pacnew
error: extract: not overwriting dir with file /usr/local/share/man
error: problem occurred while upgrading filesystem
error: could not commit transaction
error: failed to commit transaction (transaction aborted)
Errors occurred, no packages were upgraded.[/code]
I do not know what this update needs to do in /usr/local/share/man. Yes, there are some files - does it expect this directory to be empty?

Any case, I can try to move /usr/local/… temporarily out of the way, but even if it works, it will just postpone problems again until the next update. I feel an update should not abort because of a linked /opt, or because of files present in /usr/local…

Thanks @philm! VBox modules now successfully load on my laptop.

Forum kindly sponsored by